GET /leads/reports

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/leads/reports

Get statistics on leads by category.

Return aggregated lead statistics grouped by a category such as offer, schedule, or traffic source. The category parameter is required. Supports JSON or CSV output; CSV can be returned as a downloadable file. A team member also needs summary reports enabled on their lead permissions.

Supported Formats

json, csv

Params

Param name Description
category
Required

Group or pivot the report by one of these lead attributes.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    statusStatus
    offer_idOffer
    schedule_idSchedule
    schedule_action_idSchedule Action
    buyer_converted_schedule_action_idThe schedule action where the lead converted.
    lead_import_idLead Import
    traffic_source_idTraffic Source
    outbound_calls_countOutbound Calls Count
    inbound_calls_countInbound Calls Count
    recent_call_disposition_idRecent Call Disposition
    buyer_converted_daysBuyer Converted Days
    buyer_idBuyer
    countryCountry
    call_center_idCall Center
    stateState
    sub_idSub ID
    dial_tierDial Tier
    contact_field_typeContact Field Type
    created_at_dayThe day the lead was submitted
    created_at_monthThe month the lead was submitted
    created_at_weekThe week the lead was submitted
    created_at_five_minutesThe minute the lead was submitted
    created_at_hourThe hour lead was submitted
    schedule_trigger_typeSchedule Trigger Type
    zip_postal_codeZip/Postal Code
    countryCountry
    state_provinceState/Province
    token_values_mapToken Values Map
pivot
Optional Blank value allowed

Group or pivot the report by one of these lead attributes.

  • Must be a value contained in the pick list:
    Acceptable ValueDescription
    statusStatus
    offer_idOffer
    schedule_idSchedule
    schedule_action_idSchedule Action
    buyer_converted_schedule_action_idThe schedule action where the lead converted.
    lead_import_idLead Import
    traffic_source_idTraffic Source
    outbound_calls_countOutbound Calls Count
    inbound_calls_countInbound Calls Count
    recent_call_disposition_idRecent Call Disposition
    buyer_converted_daysBuyer Converted Days
    buyer_idBuyer
    countryCountry
    call_center_idCall Center
    stateState
    sub_idSub ID
    dial_tierDial Tier
    contact_field_typeContact Field Type
    created_at_dayThe day the lead was submitted
    created_at_monthThe month the lead was submitted
    created_at_weekThe week the lead was submitted
    created_at_five_minutesThe minute the lead was submitted
    created_at_hourThe hour lead was submitted
    schedule_trigger_typeSchedule Trigger Type
    zip_postal_codeZip/Postal Code
    countryCountry
    state_provinceState/Province
    token_values_mapToken Values Map
page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • context_menu_name
  • name
  • caller_id
  • email
  • full_name
  • contact_field_type
  • expires_in
  • country
  • state_province
  • zip_postal_code
  • time_zone
  • sub_id
  • offer_id
  • schedule_id
  • status
  • human_status
  • css_status
  • has_next_action
  • opt_out
  • revenue
  • payout
  • offer_converted
  • buyer_converted
  • traffic_source_id
  • buyer_id
  • lead_import_id
  • remote_ip
  • attempted_call_id
  • connected_call_id
  • scheduled_callback_id
  • call_buyer_conversion_id
  • call_offer_conversion_id
  • sms_number_id
  • dial_number_id
  • dial_tier
  • last_action_at
  • first_action_at
  • first_queued_at
  • schedule_ended_at
  • next_action_at
  • last_call_at
  • is_live
  • schedule_trigger_type
  • blocked
  • data
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off